$AdfDhtmlNavigationPanePeer$$.$_SUB_ID_MAP$ = {choice_dropdown:"_afrChoiceButton", end_overflow_indicator:"eoi", start_overflow_indicator:"soi", start_conveyor_belt_indicator:"scbi", end_conveyor_belt_indicator:"ecbi", conveyor_belt_droplist_indicator:"cbdli", overflow_end_dropList:"eoc", overflow_start_dropList:"soc", conveyor_belt_dropList:"dlc"};
$AdfDhtmlNavigationPanePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlNavigationPanePeer$$$$$GetSubIdDomElement$$($clientSubId$$4_subElementId$$40$$) {
  $AdfAssert$$.$assertNonEmptyString$($clientSubId$$4_subElementId$$40$$);
  var $component$$2443_domElement$$661$$ = this.$getComponent$();
  if ("choice_dropdown" == $clientSubId$$4_subElementId$$40$$) {
    return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($clientSubId$$4_subElementId$$40$$, $AdfDhtmlNavigationPanePeer$$.$_SUB_ID_MAP$, $component$$2443_domElement$$661$$);
  }
  var $hint$$ = $component$$2443_domElement$$661$$.getHint();
  return $hint$$ == $AdfDhtmlNavigationPanePeer$$.$_TAB_HINT$ || $hint$$ == $AdfDhtmlNavigationPanePeer$$.$_BAR_HINT$ ? ($clientSubId$$4_subElementId$$40$$ = $AdfDhtmlNavigationPanePeer$$.$_SUB_ID_MAP$[$clientSubId$$4_subElementId$$40$$], $hint$$ == $AdfDhtmlNavigationPanePeer$$.$_TAB_HINT$ && ($clientSubId$$4_subElementId$$40$$ = $AdfRichUIPeer$$.$CreateSubId$($AdfDhtmlNavigationPanePeer$$.$_TAB_HEADER$, $clientSubId$$4_subElementId$$40$$)), ($component$$2443_domElement$$661$$ = $AdfSubIdUtils$$.$getSubIdElementById$($component$$2443_domElement$$661$$, 
  $clientSubId$$4_subElementId$$40$$)) && "none" == $AdfAgent$$.$getAgent$().getComputedStyle($component$$2443_domElement$$661$$).display ? null : $component$$2443_domElement$$661$$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlNavigationPanePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlNavigationPanePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlNavigationPanePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlNavigationPanePeer$$$$$GetBestMatchSubId$$($domElement$$662$$) {
  if ($domElement$$662$$.id) {
    var $id$$387$$ = $domElement$$662$$.id;
    if (/::eoc$/.test($id$$387$$)) {
      return "overflow_end_dropList";
    }
    if (/::soc$/.test($id$$387$$)) {
      return "overflow_start_dropList";
    }
    if (/::dlc$/.test($id$$387$$)) {
      return "conveyor_belt_dropList";
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$662$$, this, $AdfDhtmlNavigationPanePeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlNavigationPanePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlNavigationPanePeer$$.prototype.$GetBestMatchSubId$});
